Bug 44702 - BCL - better licence readability
BCL - better licence readability
Status: VERIFIED FIXED
Product: usersguide
Classification: Unclassified
Component: Installer
4.x
All All
: P1 (vote)
: 5.x
Assigned To: issues@installer
issues@installer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-10 13:48 UTC by zikmund
Modified: 2007-11-21 08:01 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description zikmund 2004-06-10 13:48:55 UTC
The BCL is included in installer in HTML format.
I'd like to improve its readability. Now it is
VERY unfriendly text which consists of lots of
parts (some of them in pure ASCII unformatted
form) without sections' hyperlinks etc.

My suggestions:

1) Provide hyperlinks of sections like XML Parser,
JavaHelp, etc. in 1st paragraph. Provide hyperlink
to "content" or "top" at the beggining of each
section.

2) Provide better and consistent HTML formatting
(based on styles).
At least do not use *pre* tag to have text in
paragraphs which are fully readable in the window
so that you don't need to use bottom scroll bar.

Notice: I think that if someone wants to read the
BCL or find something there, he will give it up in
several seconds because of this unfriendly formatting.

3) Move the end instructions "Please read and
accept or decline" to the beggining.
Comment 1 mslama 2006-02-17 09:28:05 UTC
Current license is improved.
Comment 2 Michal Mocnak 2006-06-29 11:04:41 UTC
Verified
Comment 3 dlipin 2007-11-21 08:01:17 UTC
unlikely 6.0 is the target milestone -> 5.5.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo